Loading...
Searching...
No Matches
Image Processing Functions

This set of functions provide some commonly used functions in image processing, such as image scale, image rotate. More...

## Modules

| Image Resize
| Image Rotate

## Functions

void | ne10_img_boxfilter_row_border (const ne10_uint8_t *src, ne10_uint8_t *dst, ne10_size_t src_sz, ne10_int32_t src_stride, ne10_int32_t dst_stride, ne10_size_t kernel, ne10_point_t anchor, ne10_int32_t *border_l_ptr, ne10_int32_t *border_r_ptr)

## Detailed Description

This set of functions provide some commonly used functions in image processing, such as image scale, image rotate.

## Function Documentation

## ne10_img_boxfilter_row_border()

void ne10_img_boxfilter_row_border | ( | const ne10_uint8_t * | src,
|  | ne10_uint8_t * | dst,
|  | ne10_size_t | src_sz,
|  | ne10_int32_t | src_stride,
|  | ne10_int32_t | dst_stride,
|  | ne10_size_t | kernel,
|  | ne10_point_t | anchor,
|  | ne10_int32_t * | border_l_ptr,
|  | ne10_int32_t * | border_r_ptr
| ) |  |

extern

Definition at line 83 of file NE10_boxfilter.c.